Fandom

How To Wiki

How to configure the Linux kernel/drivers/char/drm

< How to configure the Linux kernel | drivers | char

1,795pages on
this wiki
Add New Page
Talk0 Share

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.

Howto configure the Linux kernel / drivers / char / drm


Drm device configuration
This driver provides support for the
Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.


  • Option: DRM
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)
    • depends on (AGP || AGP=n) && PCI
      Kernel-level support for the Direct Rendering Infrastructure (DRI) introduced in XFree86 4.0. If you say Y here, you need to select the module that's right for your graphics card from the list below. These modules provide support for synchronization, security, and DMA transfers. Please see <http://dri.sourceforge.net/> for more details. You should also select and configure AGP (/dev/agpgart) support.


  • Option: DRM_TDFX
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) 3dfx Banshee/Voodoo3+
    • depends on DRM && PCI
      Choose this option if you have a 3dfx Banshee or Voodoo3 (or later), graphics card. If M is selected, the module will be called tdfx.


  • Option: DRM_R128
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) ATI Rage 128
    • depends on DRM && PCI
      Choose this option if you have an ATI Rage 128 graphics card. If M is selected, the module will be called r128. AGP support for this card is strongly suggested (unless you have a PCI version).


  • Option: DRM_RADEON
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) ATI Radeon
    • depends on DRM && PCI
      Choose this option if you have an ATI Radeon graphics card. There are both PCI and AGP versions. You don't need to choose this to run the Radeon in plain VGA mode. There is a product page at <http://www.ati.com/na/pages/products/pc/radeon32/index.html>. If M is selected, the module will be called radeon.


  • Option: DRM_I810
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Intel I810
    • depends on DRM && AGP && AGP_INTEL
      Choose this option if you have an Intel I810 graphics card. If M is selected, the module will be called i810. AGP support is required for this driver to work.


"Intel 830M, 845G, 852GM, 855GM, 865G"

    • depends on DRM && AGP && AGP_INTEL



  • Option: DRM_I830
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) i830 driver
      Choose this option if you have a system that has Intel 830M, 845G, 852GM, 855GM or 865G integrated graphics. If M is selected, the module will be called i830. AGP support is required for this driver to work. This driver will eventually be replaced by the i915 one.


  • Option: DRM_I915
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) i915 driver
      Choose this option if you have a system that has Intel 830M, 845G, 852GM, 855GM 865G or 915G integrated graphics. If M is selected, the module will be called i915. AGP support is required for this driver to work. This driver will eventually replace the I830 driver, when later release of X start to use the new DDX and DRI.



  • Option: DRM_MGA
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Matrox g200/g400
    • depends on DRM
      Choose this option if you have a Matrox G200, G400 or G450 graphics card. If M is selected, the module will be called mga. AGP support is required for this driver to work.


  • Option: DRM_SIS
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) SiS video cards
    • depends on DRM && AGP
      Choose this option if you have a SiS 630 or compatible video chipset. If M is selected the module will be called sis. AGP support is required for this driver to work.


  • Option: DRM_VIA
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Via unichrome video cards
    • depends on DRM
      Choose this option if you have a Via unichrome or compatible video chipset. If M is selected the module will be called via.


  • Option: DRM_SAVAGE
    • Kernel Versions: 2.6.15.6 ...
    • (on/off/module) Savage video cards
    • depends on DRM
      Choose this option if you have a Savage3D/4/SuperSavage/Pro/Twister chipset. If M is selected the module will be called savage.


Linux Kernel Configuration

Also on Fandom

Random Wiki